
Foreman - Bug #802

Deleting a host should cancel pending builds

03/29/2011 07:37 PM - Frank Sweetser

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Right now, deleting a host does not cancel any pending builds, leaving PXE symlinks around.  Smart proxies may have other cleanup

required.  This patch calls cancelBuild when a host is deleted.

History

#1 - 03/30/2011 05:20 AM - Ohad Levy

- Status changed from New to Feedback

I'm not 100% sure if this is required.

You are correct that if you are not using a smart proxy (legacy mode) this is happening.

however, if you use the proxy, it would get deleted as required.

what do you think?

#2 - 05/04/2011 07:25 AM - Ohad Levy

- Status changed from Feedback to Closed

Files

0002-Call-cancelBuild-when-deleting-hosts.patch 685 Bytes 03/29/2011 Frank Sweetser
